<!DOCTYPE html>
<html>
<head>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<header>
		<h2>HTML Entities</h2>
	</header>

	<main>
		<section>
			<p><em>Reserved characters in HTML (e.g. &lt; or &gt;) that can mix up with HTML code.</em></p>
			<!-- border attribute defines the thickness of the table border -->
			<table border= "2">
				<!-- This is for the header of the table -->
				<thead>
					<!-- tr - tag defines a table row -->
					<tr>
						<!-- th tag- defines a table header element -->
						<!-- colspan attribute changes the amount of column a table element will occupy -->
						<th colspan="2">Entity</th>

						<!-- rowspan attribute changes the amount of rows a table element will occupy -->
						<th rowspan="2">Description</th>
					</tr>

					<tr>
						<th>Symbol</th>
						<th>Name/Number</th>
					</tr>
				</thead>

				<!-- This is for the body of the table -->
				<tbody>
					<!-- This is the first row -->
					<tr>
						<!-- This is the first column in the row -->
						<td>&lt;</td>
						<!-- This is the second column in the row -->
						<td>lt</td>
						<!-- This is the third column in the row -->
						<td>less than</td>
					</tr>
					
					<!-- This is the second row -->
					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>

					</tr>

					<tr>
						<td>&#8369;</td>
						<td>#8369</td>
						<td>peso sign</td>

					</tr>

					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>

					</tr>

					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation mark </td>

					</tr>

					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>single quotationmark (apostrophe)</td>

					</tr>

					<tr>
						<td>&ntilde;</td>
						<td>ñ</td>
						<td>Lower Tilde</td>

					</tr>

					<tr>
						<td>&Ntilde;</td>
						<td>Ñ</td>
						<td>Upper Tilde</td>

					</tr>



				</tbody>

				<!-- This is for the footer of the table -->
				<tfoot>
					<tr>
						<th colspan="3">List of HTML entities</th>
					</tr>
				</tfoot>
			</table>
		</section>

		<!-- This section is for HTML Form -->
		<section>
			<h2>HTML Forms</h2>

			<p><em>Input elements that make  up a form.</em></p>

			<form>
				<!-- Text inputs -->
				<!-- label tag creates a text elementthat serve as the label -->
				<!-- type attribute will define what type of information the input field should be. -->
				<!-- for attribute is used with the id attribute in an input element. This allows the user to click the label. -->


				<label for="fullname">Full Name:</label><br/>
				<input type="text" name="fullname" id="fullname" required><br/>

				<label for="birtdate">Birthdate</label><br/>
				<input type="date" name="birthdate" id="birtdate"><br/>

				<label for="age">Age</label><br/>
				<input type="number" name="age" id="age" max="100" min="18"><br/>

				<!-- Dropdown -->
				<label for="gender">Gender:</label><br/>
				<select  name="gender" id="gender">
					<option value="male">Male</option>
					<option value="female">Female</option>
				</select><br/>

				<!-- textarea -->
				<label for="notes">Notes:</label><br/>
				<textarea name="notes" id="notes" rows="5" cols="5"></textarea><br/>

				<!-- Radio Button -->
				<label for="new_user">New user:</label><br/>
				<input type="radio" name="new_user" value="Yes" id="yes">

				<label for="yes">Yes</label><br/>

				<input type="radio" name="new_user" value="No" id="no">
				<label for="no">No</label><br/>

				<!-- Checkbox -->
				<label>Role:</label><br/>

				<input type ="checkbox" name="role1" id="role1">
				<label for  = "role1">Developer</label><br/>

				<input type ="checkbox" name="role2" id="role2">
				<label for  = "role2">Student</label><br/>

				<input type ="checkbox" name="role3" id="role3">
				<label  for = "role3">Manager</label><br/>



				<button>Submit</button><br/>
				<button type="reset">Reset</button>


			</form>
		</section>
	</main>
</body>
</html>